%define nettlemajor 6
%define hogweedmajor 4
%define libnettlename %mklibname nettle %{nettlemajor}
%define libhogweedname %mklibname hogweed %{hogweedmajor}
%define develname %mklibname -d nettle

Name:		nettle
Summary:	Nettle cryptographic library
Version:	3.2
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.lysator.liu.se/~nisse/nettle/
Source:		http://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.xz
BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRequires:	libgmp-devel
BuildRequires:	texinfo

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: 
In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications 
like LSH or GNUPG, or even in kernel space. 

%package -n	%{libnettlename}
Group:		System/Libraries
Summary:	Nettle shared library

%description -n	%{libnettlename}
This is the shared library part of the Nettle library.

%package -n	%{develname}
Group:		Development/Libraries
Summary:	Header files for compiling against Nettle library
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libnettlename} = %{version}-%{release}

%description -n	%{develname}
This is the development package of nettle. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x --enable-shared
%make

%install
%makeinstall_std

%files
%{_bindir}/*
%{_infodir}/*

%files -n %{libnettlename}
%{_libdir}/libnettle.so.%{nettlemajor}*
%{_libdir}/libhogweed.so.%{hogweedmajor}*

%files -n %{develname}
%doc AUTHORS TODO ChangeLog
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nettle


%changelog
* Sat Apr 30 2016 bb <bb> 3.2-1pclos2016
- upate for filezilla

